Package es.imim.DISGENET.validation

# Class ParametersValidation

java.lang.Object
es.imim.DISGENET.validation.ParametersValidation

public class ParametersValidation extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static ArrayList<String>`
`assocTypeOptions`
`static ArrayList<String>`
`disClassOptions`
`static List<String>`
`enrichmentTypeIds`
`static List<String>`
`enrichmentUniverse`
`static ArrayList<String>`
`sourceOptions`

## Constructor Summary

Constructors
Constructor
Description
`ParametersValidation()`

## Method Summary

Modifier and Type
Method
Description
`static Map`
`diseaseProjParameters(DiseaseProjParams params)`
`static Map`
`geneDiseaseParameters(GeneDiseaseParams params)`
`static Map`
`geneEnrichmentParameters(GeneEnrichmentParams params)`
`static Map`
`geneProjParameters(GeneProjParams params)`
`static Map`
`variantDiseaseParameters(VariantDiseaseParams params)`
`static Map`
`variantEnrichmentParameters(VariantEnrichmentParams params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sourceOptions

public static ArrayList<String> sourceOptions

### assocTypeOptions

public static ArrayList<String> assocTypeOptions

### disClassOptions

public static ArrayList<String> disClassOptions

### enrichmentTypeIds

public static List<String> enrichmentTypeIds

### enrichmentUniverse

public static List<String> enrichmentUniverse

## Constructor Details

### ParametersValidation

public ParametersValidation()

## Method Details

### geneDiseaseParameters

public static Map geneDiseaseParameters(GeneDiseaseParams params)

### variantDiseaseParameters

public static Map variantDiseaseParameters(VariantDiseaseParams params)

### geneProjParameters

public static Map geneProjParameters(GeneProjParams params)

### diseaseProjParameters

public static Map diseaseProjParameters(DiseaseProjParams params)

### geneEnrichmentParameters

public static Map geneEnrichmentParameters(GeneEnrichmentParams params)

### variantEnrichmentParameters

public static Map variantEnrichmentParameters(VariantEnrichmentParams params)